#include <windows.h>
#include <iostream>
#include <vector>
#include <string>
#include <direct.h>
#include <fstream>

using namespace std;

int main() {
	vector <string> games;
	ifstream f("driverlist.txt");
	bool valid = true;
	while(!f.eof()) {
		char line[2048];
		for(int i = 0; i < 2048; i++) line[i] = '\0';
		f.getline(line, 2048);
		string t = line;
		games.push_back(t);
	}
	f.close();
		
	ofstream save("driverlist.bat");
	_mkdir("FBA");
	for(int i = 0; i < games.size(); i++) {
		string n = "copy ";
		n += games[i].c_str();
		n += " .\\FBA\\";
		n += games[i].c_str();
		n += "\n";
		cout << n.c_str() << endl;
		save.write(n.c_str(), n.length());
	}
	save.close();
	return 0;
}